C  CEVT5 EVAPOTRANSPORATION SOLUTE SINK
C     ***************************************************************
C
      SUBROUTINE CEVT5FM(NEVTOP,BUFF,EVTFLO,IEVT,
     *  IBOUND,
     *  NCOL,NROW,NLAY,
     *  NSCOL,NSROW,NSLAY,IOUTS,ICONLY)
C
C     ***************************************************************
C
      DIMENSION
     *  IEVT(NCOL,NROW),BUFF(NCOL,NROW,NLAY),
     *  IBOUND(NCOL,NROW,NLAY), 
     *  EVTFLO(NSCOL,NSROW)
C
      COMMON /SUBGRD/
     *  ISCOL1,ISCOL2,ISROW1,ISROW2,ISLAY1,ISLAY2,ISUBGD
C
C     ***************************************************************
C
C  SKIP IF ICONLY=1
      IF(ICONLY.EQ.1) RETURN
C
C  SKIP IF NEVTOP=1 AND NO TRANSPORT IN TOP LAYER
      IF(NEVTOP.NE.2.AND.ISLAY1.NE.1) RETURN
C
C  EVAPOTRANSPIRATION
      ITHKSG=0
      DO 10 IS=1,NSROW
      I=IS+ISROW1-1
      DO 10 JS=1,NSCOL
      J=JS+ISCOL1-1
      K=1
      IF(NEVTOP.EQ.2) K=IEVT(J,I)
      IF(IBOUND(J,I,K).LE.0) THEN
        ITHKSG=ITHKSG+1
        GO TO 10
      ENDIF
      KS=K-ISLAY1+1
      IF(KS.LT.1.OR.KS.GT.NSLAY) GO TO 10
         EVTFLO(JS,IS)=BUFF(J,I,K)
   10 CONTINUE
C  WARN IF WELL NODE WITHIN SUBGRID, BUT NO FLOW ASSOC WITH IT
      IF(ITHKSG.GT.0) THEN
         WRITE(IOUTS,*) ' WARNING:',ITHKSG,' EVT NODES',
     *     ' SKIPPED WITHIN SUBGRID (IBOUND <= 0)'
      END IF
C
      RETURN
      END
